/*************************************************************************
*  Copyright (C) 2004 by Janek Kozicki                                   *
*  cosurgi@berlios.de                                                    *
*                                                                        *
*  This program is free software; it is licensed under the terms of the  *
*  GNU General Public License v2 or later. See file LICENSE for details. *
*************************************************************************/

#ifndef HOLLOWCYLINDER_HPP
#define HOLLOWCYLINDER_HPP

#include <yade/yade-core/GeometricalModel.hpp>

class HollowCylinder : public GeometricalModel
{
	public :
		Real	 insideRadius
			,outsideRadius
			,height;

		HollowCylinder ();
		virtual ~HollowCylinder ();

	protected :
		void registerAttributes();
	REGISTER_CLASS_NAME(HollowCylinder);
	REGISTER_BASE_CLASS_NAME(GeometricalModel);
	REGISTER_CLASS_INDEX(HollowCylinder,GeometricalModel);
};

REGISTER_SERIALIZABLE(HollowCylinder,false);

#endif // SPHERE_HPP

