/*************************************************************************
*  Copyright (C) 2004 by Janek Kozicki                                   *
*  cosurgi@berlios.de                                                    *
*                                                                        *
*  This program is free software; it is licensed under the terms of the  *
*  GNU General Public License v2 or later. See file LICENSE for details. *
*************************************************************************/

#ifndef INTERACTINGHOLLOWCYLINDER_HPP
#define INTERACTINGHOLLOWCYLINDER_HPP

#include <yade/yade-core/InteractingGeometry.hpp>

class InteractingHollowCylinder : public InteractingGeometry
{
	public :
		Real	 insideRadius
			,outsideRadius
			,height;

		InteractingHollowCylinder ();
		virtual ~InteractingHollowCylinder ();

	protected :
		void registerAttributes();
	REGISTER_CLASS_NAME(InteractingHollowCylinder);
	REGISTER_BASE_CLASS_NAME(InteractingGeometry);
	REGISTER_CLASS_INDEX(InteractingHollowCylinder,InteractingGeometry);
};

REGISTER_SERIALIZABLE(InteractingHollowCylinder,false);

#endif // SPHERE_HPP
