/*************************************************************************
*  Copyright (C) 2004 by Janek Kozicki                                   *
*  cosurgi@berlios.de                                                    *
*                                                                        *
*  This program is free software; it is licensed under the terms of the  *
*  GNU General Public License v2 or later. See file LICENSE for details. *
*************************************************************************/
 
#ifndef SPHERE2AABB_HPP
#define SPHERE2AABB_HPP

#include <yade/yade-package-common/BoundingVolumeEngineUnit.hpp>

class InteractingHollowCylinder2AABB : public BoundingVolumeEngineUnit
{
	public :
		void go(	  const shared_ptr<InteractingGeometry>& cm
				, shared_ptr<BoundingVolume>& bv
				, const Se3r& se3
				, const Body*	);
	REGISTER_CLASS_NAME(InteractingHollowCylinder2AABB);
	REGISTER_BASE_CLASS_NAME(BoundingVolumeEngineUnit);
};

REGISTER_SERIALIZABLE(InteractingHollowCylinder2AABB,false);

#endif // SPHERE2AABB_HPP

