/*************************************************************************
*  Copyright (C) 2004 by Janek Kozicki                                   *
*  cosurgi@berlios.de                                                    *
*                                                                        *
*  This program is free software; it is licensed under the terms of the  *
*  GNU General Public License v2 or later. See file LICENSE for details. *
*************************************************************************/

#ifndef GLDRAWHOLLOWCYLINDER_HPP
#define GLDRAWHOLLOWCYLINDER_HPP

#include <yade/yade-package-common/GLDrawGeometricalModelFunctor.hpp>

class GLDrawHollowCylinder : public GLDrawGeometricalModelFunctor
{
	public :
		virtual void go(const shared_ptr<GeometricalModel>&, const shared_ptr<PhysicalParameters>&,bool);

	REGISTER_CLASS_NAME(GLDrawHollowCylinder);
	REGISTER_BASE_CLASS_NAME(GLDrawGeometricalModelFunctor);
};

REGISTER_SERIALIZABLE(GLDrawHollowCylinder,false);

#endif //  GLDRAWHOLLOWCYLINDER_HPP

