/*************************************************************************
*  Copyright (C) 2004 by Janek Kozicki                                   *
*  cosurgi@berlios.de                                                    *
*                                                                        *
*  This program is free software; it is licensed under the terms of the  *
*  GNU General Public License v2 or later. See file LICENSE for details. *
*************************************************************************/

#include "InteractingHollowCylinder.hpp"
#include <yade/yade-lib-opengl/OpenGLWrapper.hpp>

InteractingHollowCylinder::InteractingHollowCylinder () : InteractingGeometry()
{
	createIndex();
}

InteractingHollowCylinder::~InteractingHollowCylinder ()
{
}

void InteractingHollowCylinder::registerAttributes()
{
	InteractingGeometry::registerAttributes();
	REGISTER_ATTRIBUTE(insideRadius);
	REGISTER_ATTRIBUTE(outsideRadius);
	REGISTER_ATTRIBUTE(height);
}

