/*************************************************************************
*  Copyright (C) 2004 by Janek Kozicki                                   *
*  cosurgi@berlios.de                                                    *
*                                                                        *
*  This program is free software; it is licensed under the terms of the  *
*  GNU General Public License v2 or later. See file LICENSE for details. *
*************************************************************************/

#ifndef GLDRAWINTERACTINGHOLLOWCYLINDER_HPP
#define GLDRAWINTERACTINGHOLLOWCYLINDER_HPP

#include <yade/yade-package-common/GLDrawInteractingGeometryFunctor.hpp>

class GLDrawInteractingHollowCylinder : public GLDrawInteractingGeometryFunctor
{
	public :
		virtual void go(const shared_ptr<InteractingGeometry>&, const shared_ptr<PhysicalParameters>&);

	REGISTER_CLASS_NAME(GLDrawInteractingHollowCylinder);
	REGISTER_BASE_CLASS_NAME(GLDrawInteractingGeometryFunctor);
};

REGISTER_SERIALIZABLE(GLDrawInteractingHollowCylinder,false);

#endif //  GLDRAWInteractingHollowCylinder_HPP

